play.db.evolutions.exceptions

## Class InvalidDatabaseRevision

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - play.exceptions.PlayException
        - - play.db.evolutions.exceptions.InvalidDatabaseRevision

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidDatabaseRevision
    extends PlayException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidDatabaseRevision(java.lang.String dbName, java.lang.String evolutionScript)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getDbName()`
`java.lang.String` `getErrorDescription()`
`java.lang.String` `getErrorTitle()`
`java.lang.String` `getEvolutionScript()`
`java.lang.String` `getMoreHTML()`

### Methods inherited from class play.exceptions.PlayException

`getId, getInterestingStackTraceElement, getInterestingStrackTraceElement, getLineNumber, getSourceFile, isSourceAvailable`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidDatabaseRevision

    public InvalidDatabaseRevision(java.lang.String dbName,
                                   java.lang.String evolutionScript)

### Method Detail

#### getDbName

    public java.lang.String getDbName()

#### getEvolutionScript

    public java.lang.String getEvolutionScript()

#### getErrorTitle

    public java.lang.String getErrorTitle()

Specified by:
  `getErrorTitle` in class `PlayException`

#### getErrorDescription

    public java.lang.String getErrorDescription()

Specified by:
  `getErrorDescription` in class `PlayException`

#### getMoreHTML

    public java.lang.String getMoreHTML()

Overrides:
  `getMoreHTML` in class `PlayException`